<?php
namespace Claromentis\Core\ORM\Plugins\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_fd7e81d55ac4783b78f0" . "d3fcd1eefe0e" => base64_decode("aW5pdGlhbGl6ZW" . "Q="));
use Analogue\ORM\Plugins\AnaloguePlugin;
use Analogue\ORM\System\Mapper;




class SearchPlugin extends AnaloguePlugin
{
    
    
    
    
    
    
    public function register()
    {
        $this->manager->registerGlobalEvent($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_fd7e81d55ac4783b78f0d3fcd1eef" . "e0e"], function ($event, $_f4bd77b9d7574792bd46db73586ce19d = null) {
            if ($_f4bd77b9d7574792bd46db73586ce19d === null) {
                $_dabd1eb8030f2c29327a192cddfd85a9 = $event;
            } else {
                $_dabd1eb8030f2c29327a192cddfd85a9 = $_f4bd77b9d7574792bd46db73586ce19d[0]->mapper;
            }
            $this->registerScope($_dabd1eb8030f2c29327a192cddfd85a9);
        });
    }
    
    
    
    
    protected function registerScope(Mapper $_dabd1eb8030f2c29327a192cddfd85a9)
    {
        $_dabd1eb8030f2c29327a192cddfd85a9->addGlobalScope(new SearchScope());
    }
    
    
    
    
    
    
    public function getCustomEvents() : array
    {
        return [];
    }
}